Package it.ernytech.tdlib

## Class TdApi.SetAlarm

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetAlarm

Enclosing class:
  TdApi

    public static class TdApi.SetAlarm
    extends TdApi.Function

Succeeds after a specified amount of time has passed. Can be called before authorization.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`double` `seconds` Number of seconds before the function returns.

### Constructor Summary

Constructors
`SetAlarm()` Default constructor.
`SetAlarm​(double seconds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### seconds

    public double seconds

Number of seconds before the function returns.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetAlarm

    public SetAlarm()

Default constructor.

#### SetAlarm

    public SetAlarm​(double seconds)

Constructor for initialization of all fields.

Parameters:
  `seconds` - Number of seconds before the function returns.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR